Hello ,

I'm trig to update Sentinel 7.0.3 to 7.1.0.1 but the database is
crashing after the update.

The installer gives the folowing error :

================================================== =============================
Sentinel database update was halted.
================================================== =============================

Error executing one or more post-uninstall scriptlets.

Failed to start the database.
The database is not running.
warning: %post(novell-Sentineldb-RHEL-7.1.0.1-904.x86_64) scriptlet
failed, exit status 255
Failed to start the database.
Unable to start the database for the update.
warning: %postun(novell-Sentineldb-RHEL-7.0.3.0-697.x86_64) scriptlet
failed, exit status 1

================================================== ================================================== ================================================== =================


Starting Sentinel...
Failed to start the database.
Unable to start the database.

Unable to restart Sentinel.

Sentinel version 7.1.0.1.904 is installed.

The db_update.log has the following output:

Upgrade complete
----------------
----------------
| Optimizer statistics are not transferred by pg_upgrade
| so consider running:
| vacuumdb --all --analyze-only
| on the newly-upgraded cluster.

| Optimizer statistics are not transferred by pg_upgrade
| so consider running:
| vacuumdb --all --analyze-only
| on the newly-upgraded cluster.

| Running this script will delete the old cluster's data files:
| /opt/novell/sentinel/3rdparty/postgresql/bin/delete_old_cluster.sh
| Running this script will delete the old cluster's data files:
| /opt/novell/sentinel/3rdparty/postgresql/bin/delete_old_cluster.sh
Error: postgresql is not working properly after upgrade.

The db_start_stop.log says:

Mon 18 Nov 2013 11:10:54 AM EET 2013-11-18 11:10:49 EET|0|FATAL: could
not load server certificate file "server.crt": No such file or
directory
Mon 18 Nov 2013 11:15:01 AM EET 2013-11-18 09:14:56 GMT|0|FATAL:
database files are incompatible with server
Mon 18 Nov 2013 11:15:01 AM EET 2013-11-18 09:14:56 GMT|0|DETAIL: The
data directory was initialized by PostgreSQL version 9.0, which is not
compatible with this version 9.1.9.
Mon 18 Nov 2013 11:15:27 AM EET 2013-11-18 09:15:22 GMT|0|FATAL:
database files are incompatible with server
Mon 18 Nov 2013 11:15:27 AM EET 2013-11-18 09:15:22 GMT|0|DETAIL: The
data directory was initialized by PostgreSQL version 9.0, which is not
compatible with this version 9.1.9.

Is there any solution for that ? Tried an full backup from the 7.0.3 and
installed from 0, 7.1.0.1 and restored the 7.0.3 backup but the
configuration is to different and sentinel failed to start again...


--
CIURI86
------------------------------------------------------------------------
CIURI86's Profile: https://forums.netiq.com/member.php?userid=5735
View this thread: https://forums.netiq.com/showthread.php?t=49249